diff --git a/man2/bdflush.2 b/man2/bdflush.2
index 93190ee3a..6e69155bf 100644
--- a/man2/bdflush.2
+++ b/man2/bdflush.2
@@ -34,6 +34,9 @@ bdflush \- start, flush, or tune buffer-dirty-flush daemon
 .BI "int bdflush(int "  func ", long *" address );
 .BI "int bdflush(int "  func ", long " data );
 .fi
+.PP
+.IR Note :
+There is no glibc wrapper for this system call; see VERSIONS.
 .SH DESCRIPTION
 .IR Note :
 Since Linux 2.6,
diff --git a/man2/capget.2 b/man2/capget.2
index 226a917e7..ea504c28c 100644
--- a/man2/capget.2
+++ b/man2/capget.2
@@ -23,6 +23,9 @@ capget, capset \- set/get capabilities of thread(s)
 .BI "int capget(cap_user_header_t " hdrp ", cap_user_data_t " datap );
 .BI "int capset(cap_user_header_t " hdrp ", const cap_user_data_t " datap );
 .fi
+.PP
+.IR Note :
+There are no glibc wrappers for these system calls; see NOTES.
 .SH DESCRIPTION
 These two system calls are the raw kernel interface for getting and
 setting thread capabilities.
@@ -236,6 +239,9 @@ No such thread.
 .SH CONFORMING TO
 These system calls are Linux-specific.
 .SH NOTES
+Glibc does not provide a wrapper for this system call; call it using
+.BR syscall (2).
+.PP
 The portable interface to the capability querying and setting
 functions is provided by the
 .I libcap
diff --git a/man2/get_mempolicy.2 b/man2/get_mempolicy.2
index 1ee68933b..fbcab2a7c 100644
--- a/man2/get_mempolicy.2
+++ b/man2/get_mempolicy.2
@@ -37,6 +37,9 @@ get_mempolicy \- retrieve NUMA memory policy for a thread
 .PP
 Link with \fI\-lnuma\fP.
 .fi
+.PP
+.IR Note :
+There is no glibc wrapper for this system call; see NOTES.
 .SH DESCRIPTION
 .BR get_mempolicy ()
 retrieves the NUMA policy of the calling thread or of a memory address,
@@ -239,6 +242,7 @@ system call was added to the Linux kernel in version 2.6.7.
 .SH CONFORMING TO
 This system call is Linux-specific.
 .SH NOTES
+Glibc does not provide a wrapper for this system call.
 For information on library support, see
 .BR numa (7).
 .SH SEE ALSO
diff --git a/man2/ipc.2 b/man2/ipc.2
index 469185638..d2b409ff9 100644
--- a/man2/ipc.2
+++ b/man2/ipc.2
@@ -31,6 +31,9 @@ ipc \- System V IPC system calls
 ", int " third ,
 .BI "        void *" ptr ", long " fifth );
 .fi
+.PP
+.IR Note :
+There is no glibc wrapper for this system call; see NOTES.
 .SH DESCRIPTION
 .BR ipc ()
 is a common kernel entry point for the System\ V IPC calls
@@ -54,6 +57,9 @@ system call; instead,
 .BR semctl (2),
 .BR shmctl (2),
 and so on really are implemented as separate system calls.
+.PP
+Glibc does not provide a wrapper for this system call; call it using
+.BR syscall (2).
 .SH SEE ALSO
 .BR msgctl (2),
 .BR msgget (2),
diff --git a/man2/lookup_dcookie.2 b/man2/lookup_dcookie.2
index c2f2a87e6..e38ca89a4 100644
--- a/man2/lookup_dcookie.2
+++ b/man2/lookup_dcookie.2
@@ -31,6 +31,9 @@ lookup_dcookie \- return a directory entry's path
 .nf
 .BI "int lookup_dcookie(u64 " cookie ", char *" buffer ", size_t " len );
 .fi
+.PP
+.IR Note :
+There is no glibc wrapper for this system call; see NOTES.
 .SH DESCRIPTION
 Look up the full path of the directory entry specified by the value
 .IR cookie .
@@ -89,5 +92,8 @@ It relies on a kernel driver to register cookies for directory entries.
 .PP
 The path returned may be suffixed by the string " (deleted)" if the directory
 entry has been removed.
+.PP
+Glibc does not provide a wrapper for this system call; call it using
+.BR syscall (2).
 .SH SEE ALSO
 .BR oprofile (1)
diff --git a/man2/mbind.2 b/man2/mbind.2
index d98969e7f..bfec5dd1b 100644
--- a/man2/mbind.2
+++ b/man2/mbind.2
@@ -45,6 +45,9 @@ mbind \- set memory policy for a memory range
 .PP
 Link with \fI\-lnuma\fP.
 .fi
+.PP
+.IR Note :
+There is no glibc wrapper for this system call; see NOTES.
 .SH DESCRIPTION
 .BR mbind ()
 sets the NUMA memory policy,
@@ -425,6 +428,7 @@ system call was added to the Linux kernel in version 2.6.7.
 .SH CONFORMING TO
 This system call is Linux-specific.
 .SH NOTES
+Glibc does not provide a wrapper for this system call.
 For information on library support, see
 .BR numa (7).
 .PP
diff --git a/man2/migrate_pages.2 b/man2/migrate_pages.2
index cbba5350d..e4c7af92d 100644
--- a/man2/migrate_pages.2
+++ b/man2/migrate_pages.2
@@ -27,6 +27,9 @@ migrate_pages \- move all pages in a process to another set of nodes
 .BI "                   const unsigned long *" new_nodes );
 .fi
 .PP
+.IR Note :
+There is no glibc wrapper for this system call; see NOTES.
+.PP
 Link with \fI\-lnuma\fP.
 .SH DESCRIPTION
 .BR migrate_pages ()
@@ -140,6 +143,7 @@ system call first appeared on Linux in version 2.6.16.
 .SH CONFORMING TO
 This system call is Linux-specific.
 .SH NOTES
+Glibc does not provide a wrapper for this system call.
 For information on library support, see
 .BR numa (7).
 .PP